import java.util.*;

public class DigitosDiferentes {
	
	public static int[][] matriz = new int[5001][5001];
	//Essa funçao preenche uma matriz com todas as possibilidades de intervalos
	//A linha da matriz representa o inicio do intervalo e a coluna, o término
	//Um elemento m[i][j] da matriz é a quantidade de numeros com digitos diferentes no intervalo fechado [i, j]
	public static void criaMatriz(){
		for(int i = 1; i < 5000; i++){
			int cont = 0;
			for(int j = i; j < 5000; j++){
				String s = "" + j;
				boolean aux = false;
				for(int k = 0; k < s.length(); k++){
					for(int l = k+1; l < s.length(); l++){
						if(s.charAt(k) == s.charAt(l)){
							aux = true;
							break;
						}
						if(aux) break;
					}
				}
				if(!aux) cont++; 
				matriz[i][j] = cont;
			}
		}
	}
	
	public static void main(String[] args) {
		Scanner scan = new Scanner(System.in);
		int x = 1;
		criaMatriz();
		while(scan.hasNext()){
			int n = scan.nextInt();
			int m = scan.nextInt();
			
			if(n <= 0 || m <= 0) break;
			
			System.out.println("Caso #" + x + ": " + matriz[n][m]);
			
			x++;
		}
	}
}